Bug 730721 - Include important fix for VFAT/CIFS locking
Summary: Include important fix for VFAT/CIFS locking
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdelibs
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-15 14:07 UTC by Sandro Mathys
Modified: 2011-11-10 17:37 UTC (History)
8 users (show)

Fixed In Version: kdelibs-4.6.5-7.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-10 17:37:50 UTC


Attachments (Terms of Use)

Description Sandro Mathys 2011-08-15 14:07:00 UTC
KDE's locking implementation is incompatible with VFAT and CIFS (maybe others). So if your $HOME is VFAT formatted or a mounted CIFS share, you couldn't use the KDE desktop at all. Furthermore, with such a home, user preferences for KDE apps (i.e. running on Gnome/Xfce/whatever desktops) can't be saved as the config files can't be locked.

Recently, a fix for this issue has been submitted upstream. Kindly include the necessary patches in Fedora 15. We already use patched kdelibs on our site right now and kde works stable.

Upstream bug:
https://bugs.kde.org/show_bug.cgi?id=203554

Necessary patches for KDE 4.6.5 (4.7.0 has the first one applied already):
https://projects.kde.org/projects/kde/kdelibs/repository/revisions/fcb2004e6b83de87a2efbc3551bfa3189adb5de0
https://projects.kde.org/projects/kde/kdelibs/repository/revisions/63b8ad8b7c6cc9845f11e5fbacf1a8cc9c977859
https://projects.kde.org/projects/kde/kdelibs/repository/revisions/f529824

As the patches are upstream, KDE 4.7.1 should get them and therefore Fedora 16 should, too. But patching KDE 4.6.5 (or, if eventually included, 4.7.0) in Fedora 15 would be highly appreciated.

This was briefly discussed on #fedora-kde with rdieter and ltinkl and they asked me to open this bug :)

Comment 1 Kevin Kofler 2011-08-15 15:40:16 UTC
The new NFS detection assumes that everything mounted over autofs is NFS, which is quite wrong, and in fact I suspect it may break with systemd's autofs-based "mount on first use" feature (noauto,comment=systemd.automount). :-(

Comment 2 Fedora Update System 2011-10-21 12:01:54 UTC
kdelibs-4.6.5-7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kdelibs-4.6.5-7.fc15

Comment 3 Fedora Update System 2011-10-21 12:02:45 UTC
kdelibs-4.6.5-7.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kdelibs-4.6.5-7.fc14

Comment 4 Fedora Update System 2011-10-22 08:30:35 UTC
Package kdelibs-4.6.5-7.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kdelibs-4.6.5-7.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14763
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-11-10 17:33:52 UTC
kdelibs-4.6.5-7.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-11-10 17:37:50 UTC
kdelibs-4.6.5-7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.